Wednesday, October 15, 2014

Pale Moon 25.0.1 Released with Critical Security Update

Pale Moon
Pale Moon has released version 25.0.1 to address an important Jetpack extension compatibility issue. 

The update also includes a number of security fixes.

Security fixes:

  • Fix for VP9 decoder vulnerability
  • Fix for direct access to raw connection sockets in http 
  • Fix for unsafe conversion to JSON of data through the alarm dom element 
  • Update of NSS to 
    Other Changes
    • Update of the add-on SDK to add missing "PaleMoon" engine entries to lists in some modules. This should fix extension compatibility issues for things like Self-destructing cookies, Privacybadger and other Jetpack add-ons that should otherwise already work with the new GUID.
    • About box release notes link corrected

    Minimum system Requirements (Windows):
    • Windows Vista/Windows 7/Windows 8/Server 2008 or later
    • A processor with SSE2 support
    • 256 MB of free RAM (512 MB or more recommended)
    • At least 150 MB of free (uncompressed) disk space
    Pale Moon includes both 32- and 64-bit versions:


    To get the update now, select "Help" from the Pale Moon menu at the upper left of the browser window.  Select About Pale Moon > Check for Updates.

    Remember - "A day without laughter is a day wasted."
    May the wind sing to you and the sun rise in your heart...

    No comments: